Newegg Developer Portal

Set Repricer Item Prices

Batch-sets price range, competitor links, and strategy binding for a list of repricer items.

This operation is designed for Newegg.com and Newegg.ca.

Resource URL

Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/prices?strategyid={strategyid}&sellerid={sellerid}
Newegg.ca:  https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/item/prices?strategyid={strategyid}&sellerid={sellerid}

Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.

Parameters

Name Required? Description
strategyId Yes Target repricer strategy ID. Pass -1 to update price only without changing the strategy.
sellerId Yes Seller ID, used for authentication.
items Yes Request body: array of item objects. See request body for field details.
items.neItemNumber Yes Newegg item number.
items.parentItemNumber No Parent item number associated with the item.
items.sellingPrice Yes Selling price of the item.
items.currencyCode Yes Currency code for the price (e.g., USD, CAD).
items.status Yes Repricer status for the item. Accepted values: START, STOP.
minimumPricePercent No Global minimum price percentage applied to all items. Must be an integer between 1 and 99 (inclusive); decimals are not allowed.
maximumPricePercent No Global maximum price percentage applied to all items. Must be an integer between 1 and 99 (inclusive); decimals are not allowed.
amazonLinks Yes Amazon competitor product URL array. An empty list is accepted.
walmartLinks Yes Walmart competitor product URL array. An empty list is accepted.
bestbuyLinks Yes BestBuy competitor product URL array. An empty list is accepted.

Resource Information

HTTP Method Authentication? Request Formats Response Formats Rate Limited? Maximum Size of Request
POST Required XML, JSON XML, JSON 500 requests per hour

Request Body

Example: XML, Request

POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/prices?strategyid=96&sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml

<NeweggAPIRequest>
    <OperationType>SetRepricerItemPrices</OperationType>
    <RequestBody>
        <Items>
            <Item>
                <RepricerId>496</RepricerId>
                <NeItemNumber>9SIA2GS0000654</NeItemNumber>
                <ParentItemNumber>338-001F-00058</ParentItemNumber>
                <SellerId>A2GS</SellerId>
                <SellingPrice>12.02</SellingPrice>
                <CurrencyCode>USD</CurrencyCode>
                <Status>START</Status>
            </Item>
        </Items>
        <MinimumPricePercent>1</MinimumPricePercent>
        <MaximumPricePercent>5</MaximumPricePercent>
        <AmazonLinks>
            <Link>https://www.amazon.com/dp/B08N5WRWNW</Link>
        </AmazonLinks>
        <WalmartLinks/>
        <BestbuyLinks/>
    </RequestBody>
</NeweggAPIRequest>

Example: Json, Request

POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/prices?strategyid=96&sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json

{
    "items": [
        {
            "repricerId": 496,
            "neItemNumber": "9SIA2GS0000654",
            "parentItemNumber": "338-001F-00058",
            "sellerId": "A2GS",
            "sellingPrice": 12.02,
            "currencyCode": "USD",
            "status": "START"
        }
    ],
    "minimumPricePercent": 1,
    "maximumPricePercent": 5,
    "amazonLinks": [
        "https://www.amazon.com/dp/B08N5WRWNW"
    ],
    "walmartLinks": [],
    "bestbuyLinks": []
}

Response Body

Attribute Format Description
IsSuccess Boolean Get feed status operation:

True: Successful

False: Not successful

SellerID String Your seller ID
OperationType String Fixed value: SetRepricerItemPrices
ResponseDate String Your response date time (Pacific Standard Time)
ResponseBody Object Key-value map of repricer item ID to operation result.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
    <IsSuccess>true</IsSuccess>
    <SellerID>A2GS</SellerID>
    <OperationType>SetRepricerItemPrices</OperationType>
    <ResponseDate>2026-06-27T13:17:28.7589062+08:00</ResponseDate>
    <ResponseBody>
        <Result key="496"><ValueKind>Object</ValueKind></Result>
        <Result key="497"><ValueKind>Object</ValueKind></Result>
    </ResponseBody>
</NeweggAPIResponse>

Example: Json, Response

{
    "ResponseBody": {
        "496": {
            "ValueKind": "Object"
        },
        "497": {
            "ValueKind": "Object"
        }
    },
    "IsSuccess": true,
    "OperationType": "SetRepricerItemPrices",
    "SellerID": "A2GS",
    "ResponseDate": "2026-06-27T13:17:28.7589062+08:00"
}

Request Failure Errors

Error Code Description
InvalidToken Illegal secret key.
— The provided SellerId is null.
CE003 The 'MinimumPricePercent' element is invalid - The string '0.85' is not a valid value.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<Errors>
    <Error>
        <Code>InvalidToken</Code>
        <Message>Illegal secret key.</Message>
    </Error>
</Errors>

Example: Json, Response

[
    {
        "Code": "InvalidToken",
        "Message": "Illegal secret key."
    }
]

Last updated: July 13, 2026